f2d

MCP Streamable HTTP endpoint

Model Context Protocol endpoint for Agent integration. Accepts MCP JSON-RPC requests, returns JSON responses. Uses Streamable HTTP transport (stateless mode).

POST
/mcp

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Pass the key via the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

MCP JSON-RPC request (see MCP specification)

Response Body

application/json

application/json

application/json

curl -X POST "https://ufdqwbefaj.execute-api.us-east-1.amazonaws.com/mcp" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "error": "Invalid API key",
  "error_code": "AUTH_INVALID_KEY"
}
{
  "error": "Rate limit exceeded",
  "retry_after": 12
}